--
-- Name: tbl_active; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.tbl_active (
    userid integer NOT NULL,
    activecode character varying(255)
);


--
-- Name: tbl_file; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE tbl_file (
id varchar(100)  NOT NULL,
fileName varchar(255),
resourceType varchar(255),
sourceAddress varchar(255),
toAddress varchar(255), 
dependency varchar(255),
scenarios varchar(100),
fileVersion varchar(100),
downloadTime timestamp,
fileStatus int4 

)
WITH (OIDS=FALSE);

--
-- Name: tbl_loginrecord; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.tbl_loginrecord (
    userid integer NOT NULL,
    sessionid character varying(255),
    name character varying(255)
);


--
-- Name: tbl_sut; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.tbl_sut (
    id integer NOT NULL,
    createrid integer NOT NULL,
    name character varying(255),
    objtype integer NOT NULL,
    parameters text
);

--
-- Name: tbl_testCase; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public."tbl_testCase" (
    id bigint NOT NULL,
    scenarios character varying(255),
    testsuite character varying(255),
    descripton text,
    "testCaseName" character varying(255),
    author character varying(255),
    inputs text,
    outputs text,
	mandatory character varying(255),
	subtestcase text
);

--
-- Name: tbl_testobject; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.tbl_testobject (
    id integer NOT NULL,
    createrid integer NOT NULL,
    name character varying(255),
    objtype integer NOT NULL,
    parameters text
);


--
-- Name: tbl_user; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.tbl_user (
    userid integer NOT NULL,
    name character varying(255),
    isauth smallint,
    email character varying(255),
    status smallint,
    psw character varying(255)
);


CREATE TABLE public.tbl_testjobstatus (
executionId character varying(255),
taskId character varying(255),
testcaseid integer NOT NULL,
status character varying(255),
parameters text
);

CREATE TABLE public.tbl_taskstatus (
taskId character varying(255),
sutId integer NOT NULL,
createrid integer NOT NULL,
status character varying(255),
createtime timestamp
);


ALTER TABLE ONLY public.tbl_taskstatus ADD CONSTRAINT tbl_taskstatus_pkey PRIMARY KEY (taskId);

ALTER TABLE ONLY public.tbl_testjobstatus ADD CONSTRAINT tbl_testjobstatus_pkey PRIMARY KEY (executionId);

ALTER TABLE ONLY public.tbl_active
    ADD CONSTRAINT tbl_active_pkey PRIMARY KEY (userid);


--
-- Name: tbl_file tbl_file_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.tbl_file
    ADD CONSTRAINT tbl_file_pkey PRIMARY KEY (id);


--
-- Name: tbl_loginrecord tbl_loginrecord_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.tbl_loginrecord
    ADD CONSTRAINT tbl_loginrecord_pkey PRIMARY KEY (userid);


--
-- Name: tbl_testCase tbl_testCase_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."tbl_testCase"
    ADD CONSTRAINT "tbl_testCase_pkey" PRIMARY KEY (id);


--
-- Name: tbl_sut tbl_testobject_copy_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.tbl_sut
    ADD CONSTRAINT tbl_testobject_copy_pkey PRIMARY KEY (id);


--
-- Name: tbl_testobject tbl_testobject_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.tbl_testobject
    ADD CONSTRAINT tbl_testobject_pkey PRIMARY KEY (id);


--
-- Name: tbl_user tbl_user_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.tbl_user
    ADD CONSTRAINT tbl_user_pkey PRIMARY KEY (userid);


INSERT INTO "public"."tbl_file" VALUES ('2c99aa31-a12b-463d-91cc-887d6beecdf8', 'VTP ', 'wget', 'https://nexus.onap.org/content/repositories/autorelease-114194/org/onap/vnfsdk/refrepo/vnf-sdk-marketplace/1.2.1/vnf-sdk-marketplace-1.2.1.war', '/home/cvc-portal/download', '111', 'xNF', 'xNF-2019.05', '2019-03-25 21:42:31.947', '0');
INSERT INTO "public"."tbl_file" VALUES ('3ef65d0e-b8f1-4f62-8bba-24225aa78836', 'Dovetail API', 'docker', 'dovetail-api:cvc-portal', '/home/cvc-portal/download', '0', 'NFVi', 'NFVi-2018.09', '2019-03-25 17:57:22.903', '0');
INSERT INTO "public"."tbl_file" VALUES ('665a77b5-b055-475e-8bff-3cd99fcb518a', 'ONAP_CLI', 'wget', 'https://nexus.onap.org/content/repositories/autorelease-114174/org/onap/cli/cli-zip/2.0.6/cli-zip-2.0.6.zip', '/home/cvc-portal/download', '000', 'xNF', 'xNF-2019.05', '2019-03-25 21:42:31.947', '0');
INSERT INTO "public"."tbl_file" VALUES ('6fc0f474-0b90-4e19-85a3-4a90c427d3ea', 'Dovetail ', 'docker', 'opnfv/dovetail:ovp-2.2.0', '/home/cvc-portal/download', '1', 'NFVi', 'NFVi-2018.09', '2019-03-25 17:57:22.903', '0');
INSERT INTO "public"."tbl_file" VALUES ('9333e35e-67ba-4432-9783-9414c2424ead', 'Functest Smoke ', 'docker', 'opnfv/functest-smoke:opnfv-6.3.0', '/home/cvc-portal/download', '2', 'NFVi', 'NFVi-2018.09', '2019-03-25 17:57:22.903', '0');
INSERT INTO "public"."tbl_file" VALUES ('ac6da769-9f5f-47dc-b756-d86f46fc4bfd', 'cirros-0.4.0', 'wget', 'http://download.cirros-cloud.net/0.4.0/cirros-0.4.0-x86_64-disk.img', '/home/cvc-portal/download', '5', 'NFVi', 'NFVi-2018.09', '2019-03-25 17:57:22.903', '0');
INSERT INTO "public"."tbl_file" VALUES ('cb445f2e-edce-4e2e-8533-205083e0ae26', 'Bottlenecks ', 'docker', 'opnfv/bottlenecks:ovp-2.0.0', '/home/cvc-portal/download', '4', 'NFVi', 'NFVi-2018.09', '2019-03-25 17:57:22.903', '0');
INSERT INTO "public"."tbl_file" VALUES ('cc2e205e-8fd9-4f2b-9728-c9a7f5d5fc9f', 'TOMCAT8 ', 'wget', 'https://archive.apache.org/dist/tomcat/tomcat-8/v8.5.30/bin/apache-tomcat-8.5.30.tar.gz', '/home/cvc-portal/download', '333', 'xNF', 'xNF-2019.05', '2019-03-25 21:42:31.947', '0');
INSERT INTO "public"."tbl_file" VALUES ('fa78f349-0003-4755-8a94-0a88d68e8986', 'CSAR_VALIDATE', 'wget', 'https://nexus.onap.org/content/repositories/autorelease-114111/org/onap/vnfsdk/validation/csarvalidation-deployment/1.1.5/csarvalidation-deployment-1.1.5.zip', '/home/cvc-portal/download', '222', 'xNF', 'xNF-2019.05', '2019-03-25 21:42:31.947', '0');
INSERT INTO "public"."tbl_file" VALUES ('fdeaf08f-ecc8-4d17-80e5-60671461f92c', 'Yardstick ', 'docker', 'opnfv/yardstick:ovp-2.0.0', '/home/cvc-portal/download', '3', 'NFVi', 'NFVi-2018.09', '2019-03-25 17:57:22.903', '0');

-- ----------------------------
-- Records of tbl_user
-- ----------------------------
INSERT INTO "public"."tbl_user" VALUES ('2', 'abc', '2', '12312@163.com', '1', '015aaa62a39ec7208be032a29b54c62c');

INSERT INTO "public"."tbl_loginrecord" VALUES ('2', '9228706b-60eb-4eb2-a2bb-e832ac4476f6', 'abc');

